# WOK
TKWOK
MS

# MS_Interface Class Reference

`#include <MS_Interface.hxx>`

Inheritance diagram for MS_Interface:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Interface (const Handle(TCollection_HAsciiString)&aInterface)
Standard_EXPORT void | Use (const Handle(TCollection_HAsciiString)&aInterface)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Uses () const
Standard_EXPORT void | Class (const Handle(TCollection_HAsciiString)&aClass, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT void | Class (const Handle(TCollection_HAsciiString)&aClass)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Classes () const
Standard_EXPORT void | Package (const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Packages () const
Standard_EXPORT void | Method (const Handle(TCollection_HAsciiString)&aMethod)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Methods () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HSequenceOfHAsciiString | myUses
Handle_TColStd_HSequenceOfHAsciiString | myPackages
Handle_TColStd_HSequenceOfHAsciiString | myClasses
Handle_TColStd_HSequenceOfHAsciiString | myMethods

## Constructor & Destructor Documentation

Standard_EXPORT MS_Interface::MS_Interface | ( | const Handle(TCollection_HAsciiString)& | aInterface | ) |

## Member Function Documentation

Standard_EXPORT void MS_Interface::Class | ( | const Handle(TCollection_HAsciiString)& | aClass | ) |

Standard_EXPORT void MS_Interface::Class | ( | const Handle(TCollection_HAsciiString)& | aClass,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Interface::Classes | ( |  | ) | const

Standard_EXPORT const MS_Interface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_GlobalEntity.

Standard_EXPORT void MS_Interface::Method | ( | const Handle(TCollection_HAsciiString)& | aMethod | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Interface::Methods | ( |  | ) | const

Standard_EXPORT void MS_Interface::Package | ( | const Handle(TCollection_HAsciiString)& | aPackage | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Interface::Packages | ( |  | ) | const

Standard_EXPORT void MS_Interface::Use | ( | const Handle(TCollection_HAsciiString)& | aInterface | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Interface::Uses | ( |  | ) | const

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString MS_Interface::myClasses `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Interface::myMethods `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Interface::myPackages `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Interface::myUses `[private]`

The documentation for this class was generated from the following file:

- MS_Interface.hxx